<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCustomsArticlesArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CCustomsArticle
     */
    private $items;

    public function getItems(): CCustomsArticle
    {
        return $this->items;
    }

    public function withItems(CCustomsArticle $items): CCustomsArticlesArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
